Subject: Re: [PATCH v4 resend 0/7] arm64: Make EFI calls preemptible

From: Catalin Marinas <[email-masked]>
Date: Tue, 11 Nov 2025 18:45:49 +0000

On Wed, Oct 15, 2025 at 10:56:35PM +0200, Ard Biesheuvel wrote:
> Ard Biesheuvel (7):
>   efi: Add missing static initializer for efi_mm::cpus_allowed_lock
>   efi/runtime-wrappers: Keep track of the efi_runtime_lock owner
>   arm64/fpsimd: Don't warn when EFI execution context is preemptible
>   arm64/fpsimd: Permit kernel mode NEON with IRQs off
>   arm64/efi: Drop efi_rt_lock spinlock from EFI arch wrapper
>   arm64/efi: Move uaccess en/disable out of efi_set_pgd()
>   arm64/efi: Call EFI runtime services without disabling preemption

The series looks fine to me:

Acked-by: Catalin Marinas <[email-masked]>

What do you plan to do with this, merge via the EFI tree? Are there any
dependencies?

-- 
Catalin